FIND_LOCK_PAGE(9)

NAME
find_lock_page - locate, pin and lock a pagecache page

SYNOPSIS

struct page * find_lock_page (struct address_space * mapping, unsigned long offset);

ARGUMENTS

mapping
    the address_space to search

offset
    the page index

DESCRIPTION

Locates the desired pagecache page, locks it, increments its reference count and returns its address.

Returns zero if the page was not present. find_lock_page may sleep.

DESCRIPTION

Locates the desired pagecache page, locks it, increments its reference count and returns its address.

Returns zero if the page was not present. find_lock_page may sleep.